︠e45c7c23-fdb7-4275-8462-379c3285f6e6︠
# input parameters

group_size = 4
csv_file = 'Roster-2I.csv' #download roster from MyUCLA as .csv -- delete first 8 lines before columns of table

︡8dcb820f-9a4a-4a3b-b179-d80e776abcd5︡{"done":true}
︠55ee0827-fa46-4268-8052-bb0ca4b3a4a1s︠
# import packages
from sage.misc.prandom import shuffle
import pandas as p


︡978e7930-3cda-4ce9-ab2b-57a7cf411c96︡{"done":true}
︠db4514fa-7550-4548-a558-1c203219b810s︠

roster = p.read_csv(csv_file,header='infer')
roster.columns = ['UID','Name','Email','Major','Classification','Grade Type','Status','Section']
names = roster['Name']
names
︡44e69665-92d2-4a16-a13e-fd7caaafdf32︡{"stdout":"0              AHN, ESTHER (SUHYOUNG)\n1                     ARZATE, DANIELA\n2              HILL, KALAYA ELIZABETH\n3                    HONG, SANG HYOUN\n4                JUUL, LAUREN LISETTE\n5                 KIESSLING, SOPHIA B\n6                  KUBARI, KANI SABIT\n7               LEE, MHUN-JEONG ISAAC\n8     LUJANO, YAMILETTE DE LA CARIDAD\n9                 NARVAEZ, JENNIFER N\n10                NAVARRETE, JENNIFER\n11           OJEIKERE, TAIYE BRITTANY\n12            OLMEDA, BELINDA BRIANNA\n13                    RAMOS, SALVADOR\n14                   RIVAS, CYNTHIA N\n15              SAWAYA, JESSICA RAMZY\n16           SCHWESINGER, PAYTON JANE\n17                       TAK, KRITIKA\n18             TRUJILLO, MARIA ISABEL\n19           VILLEDA, LILIANA RACQUEL\nName: Name, dtype: object\n"}︡{"done":true}
︠fe4cacdf-8535-4f21-9201-221d28d325cfs︠


names_list = names.values.tolist()
class_size = len(names_list)
n_groups = ceil(class_size/group_size)
shuffle(names_list)

for i in range(n_groups):
    start = group_size*i
    if i == n_groups-1:
        end = class_size
    else:
        end = start + group_size
    print([ names_list[j] for j in range(start,end) ])
︡04a3381b-dbe8-43fd-b6af-0520274448e6︡{"stdout":"['LEE, MHUN-JEONG ISAAC', 'TAK, KRITIKA', 'RAMOS, SALVADOR', 'SCHWESINGER, PAYTON JANE']\n['LUJANO, YAMILETTE DE LA CARIDAD', 'OJEIKERE, TAIYE BRITTANY', 'RIVAS, CYNTHIA N', 'KUBARI, KANI SABIT']\n['SAWAYA, JESSICA RAMZY', 'OLMEDA, BELINDA BRIANNA', 'NAVARRETE, JENNIFER', 'AHN, ESTHER (SUHYOUNG)']\n['HONG, SANG HYOUN', 'ARZATE, DANIELA', 'NARVAEZ, JENNIFER N', 'HILL, KALAYA ELIZABETH']\n['VILLEDA, LILIANA RACQUEL', 'KIESSLING, SOPHIA B', 'JUUL, LAUREN LISETTE', 'TRUJILLO, MARIA ISABEL']\n"}︡{"done":true}



team0.name = "SKIP"
team0.members = ['LEE, MHUN-JEONG ISAAC', 'TAK, KRITIKA', 'RAMOS, SALVADOR', 'SCHWESINGER, PAYTON JANE']

team1.name = "TYCK"
team1.members = ['LUJANO, YAMILETTE DE LA CARIDAD', 'OJEIKERE, TAIYE BRITTANY', 'RIVAS, CYNTHIA N', 'KUBARI, KANI SABIT']

team2.name = "Syntax Error"
team2.members = ['SAWAYA, JESSICA RAMZY', 'OLMEDA, BELINDA BRIANNA', 'NAVARRETE, JENNIFER', 'AHN, ESTHER (SUHYOUNG)']

team3.name = "Sharks and Tunas"
team3.members = ['HONG, SANG HYOUN', 'ARZATE, DANIELA', 'NARVAEZ, JENNIFER N', 'HILL, KALAYA ELIZABETH']

team4.name = "2^2"
team4.members = ['VILLEDA, LILIANA RACQUEL', 'KIESSLING, SOPHIA B', 'JUUL, LAUREN LISETTE', 'TRUJILLO, MARIA ISABEL']
︠ce6a18bf-4fe5-48c1-8819-a01e33a951dc︠









